/***************************************************************************
 *   Copyright (C) 2005 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "kudus.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] = I18N_NOOP( "A KDE Suduko Game" );

static const char version[] = "0.2.1";

static KCmdLineOptions options[] =
{
//   { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
   KCmdLineLastOption
};

int main(int argc, char **argv)
{
   KAboutData about("kudus", I18N_NOOP("Kudus"), version, description,
                     KAboutData::License_GPL, "(C) 2005 Leon Pennington", 0, 0, "leon@leonscape.co.uk");
   about.addAuthor( "Leon Pennington", 0, "leon@leonscape.co.uk" );
   //KGlobal::locale()->insertCatalogue("libkdegames"); // GIVES Segmentation fault to me
   KCmdLineArgs::init(argc, argv, &about);
   KCmdLineArgs::addCmdLineOptions( options );
   KApplication app;
   Kudus *mainWin = 0;

   if (app.isRestored())
   {
      RESTORE(Kudus);
   }
   else
   {
      // no session.. just start up normally
      KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

      /// @todo do something with the command line args here

      mainWin = new Kudus();
      app.setMainWidget( mainWin );
      mainWin->show();

      args->clear();
   }

   // mainWin has WDestructiveClose flag by default, so it will delete itself.
   return app.exec();
}

