/***************************************************************************
 *   Copyright (C) 2005 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "newdialog.h"

#include <qlayout.h>

#include <klocale.h>
#include <kpushbutton.h>

NewDialog::NewDialog( QWidget *parent )
   : KDialogBase( parent, 0, true, i18n( "New Game" ), KDialogBase::Cancel )
{
   QWidget *main = new QWidget( this );
   setMainWidget( main );

   QVBoxLayout *vb = new QVBoxLayout( main, 0, spacingHint() );
   m_pEasy = new KPushButton( i18n( "easy level", "My brain hurts!" ), main );
   m_pMod = new KPushButton( i18n( "moderate level", "I can do logic me." ), main );
   m_pHard = new KPushButton( i18n( "hard level", "Smarter than the average mammal." ), main );
   m_pVHard = new KPushButton( i18n( "very hard level", "I'm part Vulcan." ), main );
   m_pExt = new KPushButton( i18n( "extreme level", "Here I am a brain the size of a planet..." ), main );

   vb->addWidget( m_pEasy );
   vb->addWidget( m_pMod );
   vb->addWidget( m_pHard );
   vb->addWidget( m_pVHard );
   vb->addWidget( m_pExt );

   connect( m_pEasy, SIGNAL(clicked()), SLOT(slotEasy()) );
   connect( m_pMod, SIGNAL(clicked()), SLOT(slotModerate()) );
   connect( m_pHard, SIGNAL(clicked()), SLOT(slotHard()) );
   connect( m_pVHard, SIGNAL(clicked()), SLOT(slotVeryHard()) );
   connect( m_pExt, SIGNAL(clicked()), SLOT(slotExtreme()) );
}

void NewDialog::slotEasy()
{
   m_lvl = 0;
   accept();
}

void NewDialog::slotModerate()
{
   m_lvl = 1;
   accept();
}

void NewDialog::slotHard()
{
   m_lvl = 2;
   accept();
}

void NewDialog::slotVeryHard()
{
   m_lvl = 3;
   accept();
}

void NewDialog::slotExtreme()
{
   m_lvl = 4;
   accept();
}

#include "newdialog.moc"
