/***************************************************************************
 *   Copyright (C) 2005 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef NEWDIALOG_H
#define NEWDIALOG_H

#include <kdialogbase.h>

// forward declarations
class KPushButton;

/**
 * The new dialog
 */
class NewDialog : public KDialogBase
{
Q_OBJECT
public:
   /// Constructor
   NewDialog( QWidget *parent = 0 );

   /// Difficulty Level selected
   int difficulty() const { return m_lvl; }

protected slots:
   /// Create an easy game
   void slotEasy();
   /// Create a moderate game
   void slotModerate();
   /// Create a hard game
   void slotHard();
   /// Create a very hard game
   void slotVeryHard();
   /// Create an extreme game
   void slotExtreme();

private:
   KPushButton *m_pEasy;
   KPushButton *m_pMod;
   KPushButton *m_pHard;
   KPushButton *m_pVHard;
   KPushButton *m_pExt;
   int m_lvl;
};

#endif
